#ifndef _LT_ACTION_H_
#define _LT_ACTION_H_

// Standard headers
#include <string>
#include <vector>

// LT headers
#include "LT_quaternion.h"
#include "LT_channel.h"
#include "LT_action.h"
#include "LT_pose.h"

class cAction
{
public:
	void EvaluateAt(unsigned int t, cPose &q);

	std::string mName;
	unsigned int mLength;
	unsigned int mTotalKeys;
	ChannelVector mChannels;
};

#endif //_LT_ACTION_H_
