#ifndef _LT_KEYFRAME_H_
#define _LT_KEYFRAME_H_

// Standard headers
#include <vector>

// LT headers
#include "LT_quaternion.h"

struct sKeyFrame
{
	unsigned int mTime;
    cQuaternion mValue;
};

typedef std::vector<sKeyFrame> KeyFrameVector;
typedef KeyFrameVector::iterator KeyFrameIterator;

#endif //_LT_KEYFRAME_H_
