#include "LT_action.h"
#include "LT_pose.h"
#include <assert.h>

void cAction::EvaluateAt(unsigned int t, cPose &q)
{
	assert(q.mPoseBones.size() == mChannels.size());
	
	std::vector<cBone>::iterator itor = q.mPoseBones.begin();
	std::vector<cBone>::iterator itend = q.mPoseBones.end();
	ChannelIterator citor = mChannels.begin();
	
	while(itor != itend)
	{
		(*citor).EvaluateAt(t, (*itor).mOrientation);
	
		++itor;
		++citor;
	}	
}
