#ifndef _LT_BONE_H_
#define _LT_BONE_H_

// Standard headers
#include <vector>
#include <string>

// LT headers
#include "LT_quaternion.h"
#include "LT_matrix.h"

class cBone
{
public:
	cBone();
	void Update(void);
	
	inline bool operator== (const std::string &rhs)
	{
		return mName == rhs;
	}

	std::string mName;
	cBone* mParent;
	std::vector<cBone*> mChildren;
	float mLength;
	cMatrix4D mTransform;
	cMatrix4D mRestTransform;
	cMatrix4D mWorldTransform;
	cQuaternion mOrientation;
};

#endif //_LT_BONE_H_
