#ifndef _LT_FOOTLOCK_H_
#define _LT_FOOTLOCK_H_

#include "LT_bone.h"
#include "LT_pose.h"
#include "LT_vector.h"

class cFootLock
{
public:
	void Setup(cBone* b, float xx, float yy, float zz);
	void Evaluate(cBone* root, cPose &pose);

	cVector3D mDir;
	cVector3D mLastPosition;
	cVector3D mLockedPosition;
	cVector3D mOffset;
	bool mLock;
	cBone* mBone;
};

#endif //_LT_FOOTLOCK_H_
