// LT ------------------------------------------------------------------------//
//
// Math
// General Math stuff
//
// Piran Tremethick
// 08/02/06
//----------------------------------------------------------------------------//
#ifndef _LT_MATH_H_
#define _LT_MATH_H_

// Math - Provides helper functions and wraps some of the standard math
// functions. 

class Math
{
	public:
		static const float PI;
		static const float ALMOSTZERO;
		static const float DEGTORAD;
		static const float RADTODEG;
		
		static float sqr(float in) { return in*in; };
		static float abs(float in);
		static float sqrt(float in);
		static float sin(float ang);
		static float cos(float ang);
		static float tan(float ang);
		static float invsin(float ang);
		static float invcos(float ang);
		static float invtan(float ang);
};

#endif //_LT_MATH_H_
