// LT ------------------------------------------------------------------------//
//
// cVector
//
// General Vector stuff
//
// Piran Tremethick
// 08/02/06
//----------------------------------------------------------------------------//

// Standard Headers
#include <ostream>

// LT headers
#include "LT_vector.h"

// Constructor
//
cVector3D::cVector3D()
{
	mData[0] = 0.0;
	mData[1] = 0.0;
	mData[2] = 0.0;
};

// Output stream operator
//
std::ostream& operator<< (std::ostream &os, const cVector3D& in)
{
	os << "Vector3D: [" <<  in.x << ", " << in.y << ", " << in.z <<"]";
	return os;
};
